We are moving to Git Issues for bug tracking in future releases. During transition, content will be in both tools. If you'd like to file a new bug, please create an issue.

Bug 6481 - Fatal errors when reviewers try to edit/delete comments
Fatal errors when reviewers try to edit/delete comments
Status: RESOLVED FIXED
Product: OCS
Classification: Unclassified
Component: Review
2.3.4
All All
: P3 normal
Assigned To: PKP Support
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-03-08 10:09 PST by James MacGregor
Modified: 2011-08-12 14:30 PDT (History)
2 users (show)

See Also:
Version Reported In:
Also Affects:


Attachments
Patch against OCS 2.3.3-1 (515 bytes, patch)
2011-03-08 10:24 PST, Alec Smecher
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description James MacGregor 2011-03-08 10:09:38 PST
I get the following error when I try to delete a comment I just posted to the reviewer's default/free form review form: 

[Tue Mar 08 10:06:34 2011] [error] [client 127.0.0.1] PHP Fatal error:  Class 'HandlerValidatorSubmissionComment' not found in /Users/jmacgreg/git/ocs/pages/reviewer/SubmissionCommentsHandler.inc.php on line 143, referer: http://git/ocs/index.php/one/schedone/reviewer/postPeerReviewComment

... and the following error when I try to edit instead: 

[Tue Mar 08 10:09:02 2011] [error] [client 127.0.0.1] PHP Fatal error:  Class 'HandlerValidatorSubmissionComment' not found in /Users/jmacgreg/git/ocs/pages/reviewer/SubmissionCommentsHandler.inc.php on line 84, referer: http://git/ocs/index.php/one/schedone/reviewer/viewPeerReviewComments/12/2

(Courtesy of http://pkp.sfu.ca/support/forum/viewtopic.php?f=3&t=7242&p=27978#p27978)
Comment 1 Alec Smecher 2011-03-08 10:24:25 PST
Created attachment 3449 [details]
Patch against OCS 2.3.3-1
Comment 2 Alec Smecher 2011-03-08 10:24:38 PST
James, could you try out this patch?
Comment 3 James MacGregor 2011-03-08 10:29:56 PST
(In reply to comment #2)
> James, could you try out this patch?

Yep, that fixes both problems!
Comment 4 Alec Smecher 2011-03-08 10:47:20 PST
Thanks!
Comment 5 r2d2 2011-03-27 08:48:26 PDT
For OCS 2.3.3-1, it must be as follows:
+import('handler.validation.HandlerValidatorSubmissionComment');
Comment 6 Alec Smecher 2011-08-12 14:30:02 PDT
Fixed missing import statement
https://github.com/pkp/ocs/commit/301ac78436f38fd3bd83b3b650245badf484223b